{% extends 'Admin/admin.html.twig' %}

{% block extraTitle %} - Détails du monde {{ world.name }} [ID : {{ world.id }}]{% endblock %}

{% block javascripts %}
    <script type="text/javascript" src="{{ asset('js/admin/WorldMapListActions.js') }}"></script>
{% endblock %}

{% block adminContent %}
    <div>
        <h2 class="h2b">Détails</h2>
        <p>
            Créé le {{ world.createdAt|date(null, 'Europe/Paris') }}
        </p>
        <p>
            Dernier tick à {{ world.lastUpdateDate|date(null, 'Europe/Paris') }}
        </p>
        <p>
            Vitesse : {{ world.speedName }} [x {{ world.mapSpeedMultiplier }}]
        </p>
        <br>
        <p>
            Nombre de noeuds : {{ nodes|length }}
        </p>
        <p>
            Nombre de ressources : {{ resourceSpots|length }}
            {% if world.getLastResourceRespawnTime %}
                [Dernière génération de resources à {{ world.getLastResourceRespawnTime|date(null, 'Europe/Paris') }}]
            {% else %}
                [Pas de génération de ressources pour l'instant]
            {% endif %}
        </p>
    </div>

    <br>

    <div class="scrollable border">
        <table id="adminTable">
            <thead>
            <tr>
                <th>ID</th>
                <th>Nom custom</th>
                <th>Nom original</th>
                <th><img src="{{ asset('img/icons/l_tax.png') }}"/> Commerce (réel/caché)</th>
                <th><img src="{{ asset('img/icons/l_resources.png') }}"/></th>
                <th>Actions</th>
            </tr>
            </thead>
            <tbody>
            {% for node in nodes %}
                {% set nodeResourceSpots = resourceSpots[node.data.id]|default([]) %}
                {% set hasInvalidAmountOfResources = nodeResourceSpots|length > 1 %}
                <tr>
                    <td>{{ node.id }}</td>
                    <td><a {% if hasInvalidAmountOfResources %}class="errorDetected"{% endif %} href="{{ path('app_map_focusNode', {'worldId' : node.owningWorld.id, 'nodeId' : node.id })}}">{{ node.name }}</a></td>
                    <td>{{ node.data.name }}</td>
                    <td>{{ node.trade }} / {{ node.hiddenTradeCounter }}</td>
                    <td>
                        {% for resourceSpot in nodeResourceSpots %}
                            <img src="{{ asset('img/icons/small/res_'~ resourceSpot.resource.name ~'.gif') }}"/>
                        {% endfor %}
                    </td>
                    <td>
                        {#
                        <a href="#" onmouseover="showHintMsg(this, 'Voir les joueurs')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_ally.png') }}"></a>
                        <a href="#" onmouseover="showHintMsg(this, 'Voir les généraux')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_movegen.png') }}"></a>
                        #}
                        <a style="cursor: pointer" onclick="resetNodeName({{ node.id }}, '{{ node.data.name }}')" onmouseover="showHintMsg(this,'Réinitialiser le nom')" onmouseout="hideHint()">💬</a>
                        {#
                        <a href="#" onmouseover="showHintMsg(this, 'Statistiques')" onmouseout="hideHint()"><img src="{{ asset('img/icons/a_pant.png') }}"></a>
                        #}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}